package com.kim.apidoc.core.common.helper;

import com.github.javaparser.ast.body.EnumConstantDeclaration;
import com.github.javaparser.ast.body.EnumDeclaration;
import com.github.javaparser.ast.expr.Expression;
import com.github.javaparser.resolution.declarations.ResolvedEnumConstantDeclaration;
import com.github.javaparser.resolution.declarations.ResolvedEnumDeclaration;
import com.kim.apidoc.core.schema.Cell;

import java.util.ArrayList;
import java.util.List;

/**
 * The type Enum helper.
 */
public class EnumHelper {

    /**
     * Get names string.
     *
     * @param enumDeclaration the enum declaration
     * @return the string
     */
    public static String getNames(ResolvedEnumDeclaration enumDeclaration){
        StringBuilder sb = new StringBuilder();
        for (ResolvedEnumConstantDeclaration resolvedEnumConstantDeclaration : enumDeclaration.getEnumConstants()) {
            if(sb.length()>0){
                sb.append(",");
            }
            sb.append(resolvedEnumConstantDeclaration.getName());
        }
        return sb.toString();
    }

    /**
     * To details list.
     *
     * @param declaration the declaration
     * @return the list
     */
    public static List<Cell<String>> toDetails(EnumDeclaration declaration){
        List<Cell<String>> cells = new ArrayList<>();
        for (EnumConstantDeclaration constant : declaration.getEntries()) {
            Cell<String> cell = new Cell<>();
            cell.add(constant.getNameAsString());
            for (Expression expression : constant.getArguments()) {
                Object value = ExpressionHelper.getValue(expression);
                cell.add(String.valueOf(value));
            }
            cells.add(cell);
        }
        return cells;
    }

}
